summaryrefslogtreecommitdiffstats
path: root/source/ap
diff options
context:
space:
mode:
Diffstat (limited to 'source/ap')
-rwxr-xr-xsource/ap/screen/screen.SlackBuild14
-rw-r--r--source/ap/screen/screen.no_libelf.diff19
2 files changed, 4 insertions, 29 deletions
diff --git a/source/ap/screen/screen.SlackBuild b/source/ap/screen/screen.SlackBuild
index 277ae041d..dc7f2ded7 100755
--- a/source/ap/screen/screen.SlackBuild
+++ b/source/ap/screen/screen.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2008, 2009, 2010, 2011, 2013, 2014, 2015, 2016, 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2008, 2009, 2010, 2011, 2013, 2014, 2015, 2016, 2018, 2019 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,8 +23,8 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=screen
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -63,7 +63,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
rm -rf screen-$VERSION
-tar xvf $CWD/screen-$VERSION.tar.?z* || exit 1
+tar xvf $CWD/screen-$VERSION.tar.?z || exit 1
cd screen-$VERSION || exit 1
@@ -86,12 +86,6 @@ done
# the console from being properly cleared when detaching from a screen session:
zcat $CWD/60-revert-screenrc-change.diff.gz | patch -p1 --verbose || exit 1
-# Do not link against libelf:
-zcat $CWD/screen.no_libelf.diff.gz | patch -p1 --verbose || exit 1
-
-# Reconf after patching configure.ac:
-autoreconf -vif
-
# Configure:
CFLAGS="$SLKCFLAGS" \
./configure \
diff --git a/source/ap/screen/screen.no_libelf.diff b/source/ap/screen/screen.no_libelf.diff
deleted file mode 100644
index 992fb07ad..000000000
--- a/source/ap/screen/screen.no_libelf.diff
+++ /dev/null
@@ -1,19 +0,0 @@
---- ./configure.ac.orig 2015-06-28 16:22:55.000000000 -0500
-+++ ./configure.ac 2015-08-02 13:46:59.649097842 -0500
-@@ -202,16 +202,6 @@
- #endif
- ], LIBS="$LIBS -lsocket -linet";seqptx=1)
-
--oldlibs="$LIBS"
--LIBS="$LIBS -lelf"
--AC_CHECKING(SVR4)
--AC_TRY_LINK([#include <utmpx.h>
--],,
--[AC_CHECK_HEADER(dwarf.h, AC_DEFINE(SVR4) AC_DEFINE(BUGGYGETLOGIN),
--[AC_CHECK_HEADER(elf.h, AC_DEFINE(SVR4) AC_DEFINE(BUGGYGETLOGIN))])]
--,LIBS="$oldlibs")
--AC_CHECK_HEADERS([stropts.h string.h strings.h])
--
- AC_CHECKING(for Solaris 2.x)
- AC_EGREP_CPP(yes,
- [#if defined(SVR4) && defined(sun)